=== debian/changelog ===
cpptoml (0.1.1-3) unstable; urgency=medium

  * Update d/watch
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Oct 2022 22:57:56 +0200

cpptoml (0.1.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Nov 2021 13:56:05 +0100

cpptoml (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #998144)

 -- Timo Röhling <roehling@debian.org>  Sun, 31 Oct 2021 00:20:34 +0200
