=== debian/control ===
Source: cpptoml
Section: libs
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
Homepage: https://github.com/skystrife/cpptoml
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/cpptoml.git
Vcs-Browser: https://salsa.debian.org/roehling/cpptoml

Package: libcpptoml-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only library for parsing TOML configuration files
 TOML is a file format for configuration files. It is intended to be easy
 to read and write due to obvious semantics which aim to be "minimal", and
 is designed to map unambiguously to a dictionary.
 .
 cpptoml is a C++ header-only library that implements the TOML 0.5.0
 standard.
