=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DENABLE_LIBCXX=OFF

execute_after_dh_auto_build:
	dh_auto_build --buildsystem=cmake -- doc

DOC_DIR = debian/libcpptoml-dev/usr/share/doc/libcpptoml-dev
execute_after_dh_auto_install:
	mkdir -p $(DOC_DIR)
	cp -rv obj-$(DEB_HOST_GNU_TYPE)/doc/html $(DOC_DIR)
	dh_doxygen
